use glium;

#[derive(Debug)]
pub enum Error {
    /// Error caused during creation of a Glium GPU-resident texture.
    TextureCreationError(glium::texture::TextureCreationError),
}

impl From<glium::texture::TextureCreationError> for Error {
    fn from(err: glium::texture::TextureCreationError) -> Error {
        Error::TextureCreationError(err)
    }
}
